/**
* Copyright (c) 2021 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import "../../style/utils";

/**
 * Panel background.
*/
:host {
  display: none;
  height: 100%;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1110;

  /*
  * Lateral bar
  */

  .lateral-bar {
    @extend .transition-exit;
    background-color: var(--nv-theme);
    box-sizing: border-box;
    height: 100%;
    padding: $space-md;
    position: absolute;
    right: 0;
    top: 0;
    transform: translateX(100%);
    transition-property: opacity, width, transform !important;
    min-width: 340px;
  }
}

.nv-panel-container {
  @extend .transition-exit;
  height: 100%;
  left: 0;
  opacity: 0;
  position: absolute;
  top: 0;
  transition-delay: 300ms;
  transition-property: opacity;
  width: 100%;

  &::before {
    background-color: var(--nv-theme-alt-1);
    content: '';
    height: 100%;
    left: 0;
    opacity: 0.95;
    position: absolute;
    top: 0;
    width: 100%;
  }
  
  /*
   * Visible state 
  */
  
  &.nv-panel-opening {
    @extend .transition-entrance;
    opacity: 1;
    transition-delay: 0ms;
  }
  
  &.nv-panel-opened {
    opacity: 1;
  }
  
  &.nv-panel-opened {
    .lateral-bar {
      @extend .transition-entrance;
      transform: translateX(0%);
    }
  }

  &.nv-panel-closing {
    @extend .transition-exit;
    opacity: 0;
    transition-delay: 300ms;

    .lateral-bar {
      @extend .transition-entrance;
      transform: translateX(100%);
    }
  }
}

@include sm() {
  .lateral-bar {
    width: 100% !important;
  }
}
